function element(tag, attributes, children, handlers, onlyIfNotEmpty) {
	var key, element = document.createElement(tag);
	if (attributes) {
		if (attributes['']) {
			//element.innerText = attributes[''];
			element.textContent = attributes[''];
			delete attributes[''];
		}
		if (attributes['_']) {
			element.innerHTML = attributes['_'];
			delete attributes['_'];
		}
		for (key in attributes) {
			if (key) {
				element.setAttribute(key, attributes[key]);
			}
		}
	}
	if (children) {
		for (key in children) {
			if (children[key]) {
				element.appendChild(children[key]);
			}
		}
	}
	if (handlers) {
		for (key in handlers) {
			element[key] = handlers[key];
		}
	}

	if (onlyIfNotEmpty) {
		//if (element.innerText.length > 0 || element.childNodes.length > 0) {
		if (element.textContent.length > 0 || element.childNodes.length > 0) {
			return element;
		}
		return;
	}
	return element;
}