/*
 var realValue;
 if (value == '-') {
 realValue = '-';
 } else if (!isNumber(value)) {
 if (value == '?') {
 realValue = '?';
 } else {
 if (value == 'A' || value == 'H') {
 realValue = 'ja';
 } else {
 realValue = (value.length > 0 && value) || '-';
 }
 }
 } else {
 realValue = value;
 }

 */

var values = ['', '?', '!', 'H', 'H!', 'A', 'L', 'B', 0.001, '0.1', '0,1', '123,23', 'gut vertrglich'];

for (var key in values) {
    var v = values[key];
    var r = getValue(v);
    console.log(v, '      ', r);
}

function isNumber(n) {
    'use strict';
    if (!isNaN(n)) {
        return true;
    }
    n = n.replace(/\./g, '').replace(',', '.');
    return !isNaN(parseFloat(n)) && isFinite(n);
}


function getValue(string) {
    var result = {};
    if (isNumber(string)) {
        result.value = string;
    } else {
        if (string.substring(string.length - 1) == '!') {
            result.caption = '!';
            string = string.substring(0, string.length - 1);
        }
        if (string) {
            if (string == '?') {
                result.value = '?';
            } else if (string == 'H' || string == 'L' || string == 'A') {
                result.value = 'ja';
            } else {
                result.value = string;
            }
        } else {
            result.value = '-';
        }
    }
    return result;
}